from django.shortcuts import render, get_object_or_404, redirect
from django.http import HttpResponse

from .models import Url

# Create your views here.

def index(request):
    context = {
        'url_list': Url.objects.all()
    }
    return render(request, 'index.html', context)

def redir(request, url_id):
    u = get_object_or_404(Url, id=url_id)
    u.used += 1
    u.save()
    return redirect(u.target)

def url(request, url_id):
    context = {
        'url': get_object_or_404(Url, id=url_id)
    }
    return render(request, 'details.html', context)
